import {
  isBrowser
} from "./chunk-YKE4UGGF.js";
import {
  getGlobalLogger
} from "./chunk-SMUTBZJI.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-GEIOYPRN.js";
import {
  LoggerBrowserHandler
} from "./chunk-5JRSEG3R.js";
import {
  isEmpty
} from "./chunk-NXVGWT4R.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-2XEBDXJ2.js.map